stages:
  - lint
  - build
  - test

cache:
  paths:
    - .m2/repository/

build:
  image: maven:latest
  stage: build
  script:
    - ./mvnw $MAVEN_CLI_OPTS clean install -DskipTests --no-transfer-progress

test:
  image: maven:latest
  stage: test
  script:
    - ./mvnw $MAVEN_CLI_OPTS test --no-transfer-progress -T2
